Read one authorized retained message and its representation evidence
GET
/v1/mail/messages/{messageId}AuthorizationBearer <token>
In: header
Path Parameters
messageId*string
Format:
uuidQuery Parameters
mailboxId?string
Omit for the acting account's Mailbox; other targets require owner/admin authority
Format:
uuidResponse Body
application/json
curl -X GET "https://example.com/v1/mail/messages/497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"messageId": "8540d774-4863-4d2b-b788-4ecb19412e85",
"mailboxId": "f16f762c-c61b-441d-8b9c-9aff4650cbe1",
"direction": "incoming",
"operationId": "3051932a-fdd2-48fa-b330-7e7d41535969",
"createdAt": "2019-08-24T14:15:22Z",
"trashedAt": "2019-08-24T14:15:22Z",
"archivedAt": "2019-08-24T14:15:22Z",
"retainedBytes": 0,
"display": {
"from": "string",
"subject": "string",
"to": "string",
"cc": "string",
"reply-to": "string",
"message-id": "string",
"in-reply-to": "string",
"references": "string",
"auto-submitted": "string"
},
"metadataOmissions": [
"from"
],
"attachmentOmissions": 0,
"attachmentProgress": {
"total": 0,
"pending": 0,
"retained": 0,
"omitted": 0
},
"outgoingRecipients": {
"to": [
"user@example.com"
],
"cc": [
"user@example.com"
],
"bcc": [
"user@example.com"
]
},
"correspondence": {
"kind": "reply",
"sourceMessageId": "d8d89b28-2149-44de-ac51-ce0b86865800",
"messageId": "string",
"inReplyTo": "string",
"references": [
"string"
]
},
"text": {
"state": "present",
"content": "string"
},
"html": {
"state": "present",
"content": "string"
}
}